import 'package:project_core/core/model/Entity.dart';

class Campaign extends Entity<int> {
  int id;
  String name;
  String startDate;
  String endDate;

  Campaign(this.id, this.name, this.startDate, this.endDate);

  Campaign.empty();

  Campaign.fromJson(Map<String, dynamic> json)
      : id = json['id'],
        name = json['name'],
        startDate = json['startdate'],
        endDate = json['enddate'];

  Map<String, dynamic> toJson() =>
      {'id': id, 'name': name, 'startdate': startDate, 'enddate': endDate};

  @override
  int getId() {
    return id;
  }

  @override
  void fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    startDate = json['startdate'];
    endDate = json['enddate'];
  }
}
