import 'package:project_core/http/provider/DioRestProvider.dart';

import '../../model/Transaction.dart';

class TransactionProvider extends DioRestProvider<Transaction> {
  TransactionProvider(String apiUrl) : super(apiUrl);

  Future<dynamic> fetchByDate(String date) async {
    return await fetch(() => client.get('$apiUrl/data_gte=$date'));
  }
}
