import 'package:project_core/core/bloc/Bloc.dart';
import 'package:project_core/core/model/AuthToken.dart';
import 'package:project_core/core/provider/AuthProvider.dart';
import 'package:project_core/core/repository/AuthRepository.dart';

class AuthBloc extends Bloc {
  AuthRepository _authRepository;

  AuthBloc(AuthProvider authProvider) {
    _authRepository = AuthRepository(authProvider);
  }

  Future<AuthToken> auth(credentials, {Map<String, String> header}) async {
    return await _authRepository.auth(credentials, header: header);
  }

  @override
  void dispose() {}
}
