import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

import 'AppPage.dart';

class Router {
  static Route<dynamic> generateRoute(RouteSettings settings) {
    switch (settings.name) {
      case '/':
        return MaterialPageRoute(builder: (_) => AppPage(title: 'Home'));
      default:
        //TODO: Procurar opção de enviar parametro para a localização
        return MaterialPageRoute(
            builder: (_) => Scaffold(
                  body: Center(
                      child:
                          Text('Nenhuma rota definida para ${settings.name}')),
                ));
    }
  }
}
