import 'package:graphql_flutter/graphql_flutter.dart';

abstract class GraphqlQuery<T, IdType> {
  String getTableName();
  QueryOptions fetchQuery();
  QueryOptions fetchQueryById(IdType id);
  MutationOptions insertMutation(T instance);
  MutationOptions deleteMutation(IdType id);
  MutationOptions updateMutation(T instance);
}
